High Priestess Levian:
The leaf of the Oracle is a token given only to Elves who have the qualifications to become an Elven Oracle. Priest Manuel, who has taught Elven Oracles for a long time, is in charge of the Test of the Elven Oracle. He can be found in the temple in the town of Gludio. If you follow the road that runs east of the village, you will come to the town of Gludio. The temple is in the northern part of the village. Go to the sanctuary there to find Priest Manuel.
Return